package com.storlead.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.storlead.system.pojo.entity.RoleEntity;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @Author chenkq
 * @since 2018-12-19
 */
public interface IRoleService extends IService<RoleEntity> {
    List<RoleEntity> findByUserId(Long userId);

    Set<Long> getMenuIdsByRoleId(Long roleId,Integer isApp);

    Set<Long> getdeptIdsByRoleId(Long roleId);
}
